AMD proprietary drivers for Fedora 26

Please do not waste anyone’s time by suggesting built-in open source driver. I cannot use it because this workstation is my OpenCL development playground, and open-source AMD driver simply does not work.
I need to install AMD proprietary driver, and I already tried 2x versions from AMD web site, but each fails with the same error message:

error: Detected X Server version ‘XServer 1.19.3_64a’ is not supported. Supported versions are X.Org 6.9 or later, up to XServer 1.10 (default:v2:x86_64:lib:XServer 1.19.3_64a:none:4.11.8-300.fc26.x86_64:)

The drivers that I tried are the latest Crimson edition 15.12 and the older catalyst 15.9.
I recall that proprietary driver used to be even included in some repo, but I cannot remember what it was called and where it was available from. It was called fglrx, I think. Now I cannot see it in dnf. There is something called

xorg-x11-drv-amdgpu-1.4.0-1

there, and I installed it, but the only difference that I saw was that it blacked out my primary monitor. No amount of tinkering with xrandr would bring the picture back, and I had to uninstall.

1 Like

This is a EoL release which is no longer maintained and supported.
It is recommended that you upgrade to the latest stable release to have a better chance of getting help and resolving the issue.

3 Likes

I know that. There will be no upgrading due to issues that any upgrade creates. I cannot afford wasting time on resolving those issues.

Note that technically-advanced community members generally do not use outdated releases, because they understand related issues and security risks.
This means that virtually no one can reproduce the problem and barely anyone has motivation to solve the issue which may not be relevant anymore on an up-to-date system.

3 Likes

It is all right that you are not willing to help. You can just skip over to the questions that are more attractive to you, and I can wait for more willing members. There is no need to lecture me.

I’ve merely explained how things work and why they work this way.
I understand your point, however try to be more objective and open-minded.
You have the right not to accept it, but you can hardly change it.

2 Likes

It is hard to be more objective than I am. I have needs, and certain versions of Linux serve these needs, while other versions do not. This is reality, and I reflect this reality objectively.
On the contrary, the preposition that previous versions are worse because they have security holes can hardly be considered objective, because 1) this applies to any version; and 2) every next version introduces new security holes and bugs that have to be fixed later. Old versions at least already had their fair share of security fixes. New versions lack them. They are “cat in a sack”. This is also reality. You have the right to not accept it, but you cannot change it.

Unfortunately, this comment is in violation of point #2 of the Code of Conduct which states the following.

Be respectful. Not all of us will agree all the time, but disagreement is no excuse for poor behavior and poor manners. We might all experience some frustration now and then, but we cannot allow that frustration to turn into a personal attack. It’s important to remember that a community where people feel uncomfortable or threatened is not a productive one. Members of the Fedora community should be respectful when dealing with other contributors as well as with people outside the Fedora community and with users of Fedora.

Your concern and frustrations are understandable @hsljo but you would not want that to be the reason not to behave properly with @vgaetera when he is trying to state valid reasons as to why the situation can’t be helped in a normal way.

@florian @alciregi @FranciscoD (tagged you folks, requesting your kind attention in this regard :slightly_frowning_face:)

2 Likes

Sorry but my English is bad, don’t blame me.
@hsljo please be more kind. Please understand that YOU have the problem, YOU are asking for help. People is here to give their good advices and suggestions. Upsetting people doesn’t help to resolve YOUR issue.
If you are using Fedora, you know that a release will reach EOL pretty fast (circa 1 year). And it is pretty normal that people is not willing to bother with problems related to old versions not maintained anymore. (BTW you are free to use even Fedora Core 1, but you have to accept all the consequences, and yeah, also people’s opinion that you are crazy :slight_smile:)
It also happens with payd professional support services: if you file a ticket for a commercial product and your software is not up to date, the first answer usually is “please update to the latest version”. Think to a community of volunteers like this how could act. You should only hope in some good soul.
BTW, couldn’t be the problem that the AMD proprietary driver doesn’t work with older releases of Fedora? Maybe you have to use an older version of the driver?

3 Likes

Hrm, the general solution to these issues is to use a distribution that suits your use case best. Fedora is quite quick moving, and it does not seem to fit your use case. Have you considered CentOS, which is based on Fedora but has a longer release cycle?

This is just another opinion and does not include any evidence to make it any more likely to be correct than the one you are attempting to counter.

Any release of software will include bugs, this cannot be avoided. Newer versions include the fixes that have been made in previous versions. Most tools now follow semantic versioning where minor or patch releases are frequently made to only fix bugs without making any other changes to the software. When using an older release, you will not receive these fixes.

Your view, that new versions have unresolved bugs is less likely in my book—developers now use continuous integration and test suites to verify and validate all changes to stacks after each commit for example. Then, once the software enters Fedora (or another Linux distribution), it goes through a review again where various checks are made, and then before it gets to users, it goes through a round of quality assurance in Fedora too. So, there’s a double layer for checks here.

3 Likes

Great corporate teamwork, everyone!

It is nice that some code of conduct shields you from user feedback. This explains why we are having all these issues all while bug reports about them get auto-closed several years later due to “end-of-lifing” without anyone ever looking into them. My inbox is full of dozens of such notices from bugzilla.

In the interest of not wasting time on solving issues, you should follow Fedora’s upgrades or switch to CentOS (CentOS 8 will be very similar to your system, since it’s based on F28). It’s important to pick the right tools for the job at hand.

But if you prefer using F26:

Somewhat weird that the driver (if it’s the latest) complains that your X server is too new, but anyway, that’s probably your answer - incompatible X version. Check that you’re using the latest driver for RHEL 8 (should be 20.something) - since that is based on Fedora 28 you’re reasonably close to whatever package versions you have installed and have a good chance of it working.

This here can probably help you in figuring out which other packages you might need.

Repos will be no help, because F26 repos are long gone - you’ll have to solve any dependency issues by manually grabbing appropriate packages from e.g. Fedora’s archive server. amdgpu is the open source driver, that won’t help you either - you’re looking for amdgpu-pro.

Make sure to document somewhere what you did to get it to work - it’s liable to break again if you change something on your system.

If it’s only OpenCL you’re after, you could also try just installing the OpenCL part of the proprietary driver alongside the open-source amdgpu driver. Search for ‘Fedora AMD OpenCL’ or similar to figure out how.

3 Likes

It does not shield us from feedback, it ensures that people in the community are respectful of each other. By engaging with the community, you are part of it. If you cannot follow the code of conduct to be excellent to others, you are not welcome in the community. It’s that simple.

As for your comment about bugs being auto-closed: first, that does not mean that the bug was not fixed. It simply means that the version of Fedora is now EOL, and the bug should be re-opened if the issue still persists in the latest release of Fedora which will have a newer version of the software if it has been released (with bugfixes and enhancements). Second, this is the difference between a corporate product and a volunteer community driven one. In a corporate project, developers are paid to take care of the software. In a community driven one, community members find time after their full time jobs to help each other out. There is no such thing as “support”. It is community members helping each other out, again, in their free time. You are cherry-picking here. You want a free community based product, but you want corporate support.

If you are upset that a tool is not being maintained as well as you wish, I encourage you to help the maintainer. You ranting about it is not an answer, and we don’t accept this sort of trolling. It is disrespectful to the volunteers of the community.

As the page documents. you can get sponsored as a co-maintainer.

If you are unhappy with the standard of software in Fedora in general, please use a different distribution. FOSS is all about choice. Additionally, you can always pay for Enterprise Linux and get full paid support.

5 Likes

Users specially appreciate the velocity at which you delete repos. Indeed, Internet can burst from an extra few gigabytes left on a server! We cannot allow that.

Again:
Sarcasm and denigratory remarks really do win a lot of friends and respect NOT!!!

Guess that since you are not satisfied with anything done by fedora nor the assistance offered on this forum that I, at least, will allow you to think and behave as you choose, but I will no longer support someone who does not appreciate the help given.

Nothing satisfies you so BYE!!!

1 Like

Well, that sort of what things like ‘unsupported’ and ‘EOL’ mean …
I was somewhat imprecise: Fedora actually keeps an archive of every repository all the way back to Fedora Core 1 on the aforementioned archive server. That archive is about 3TB large, which is why almost no mirror hosts it, they prefer to use their storage space for active versions of Linux OS’s. Who’s going to pay those mirrors for the cost of (pointlessly) making those 3TB available as an active repo? Nobody.

Anyway.

  • if your card is so old as to require the AMD Catalyst (fglrx) driver, you’ll need an older x server version, that driver doesn’t support the versions used in F26. Get whatever Catalyst version your card requires from AMD, grab the required old x server packages from e.g. the archive server and proceed from there.
  • if your card is supported by the newer AMDGPU-Pro drivers, get the latest AMDGPU-Pro version for RHEL/CentOS 8 and proceed from there. You should be able to mostly follow the instructions in the thread I linked, adapted for F26, obviously.

Or, alternatively, you can follow the advice people are trying to give you and update your Fedora version / switch to CentOS. I understand your desire to not “waste time on resolving […] issues”, but trying to hack together a working setup on F26 is diametrically opposed to that goal.

5 Likes

This topic is not going anywhere - closed. This forum is not supporting EOL releases.

5 Likes